package com.recordingblogs.oreffect;

/**
 This interface should be implemented by any dialog that controls an effect to be used with 
 the Orinj application effect framework.  The framework allows Orinj to automatically find and use
 digital signal processing effects (equalizers, reverbs, compressors, etc.).

 You can redistribute this file, modify it, adapt it, translate it, and/or distribute 
 the modified version, whether free of charge or not.  This file is distributed as is, without 
 warranty of any kind.
  
 @author      Anton Kamenov
 @version     3.0
*/

public interface EffectPanelInterface
{
	/**
	 * Update the graphical user interface panel with the data of the effect
	 * @since 3.0
	 */
	public abstract void updateData();
}
